ApiHBaseSnapshotPolicyArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHBaseSnapshotPolicyArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHBaseSnapshotPolicyArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHBaseSnapshotPolicyArguments
      extends Object

  HBase specific snapshot policy arguments.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHBaseSnapshotPolicyArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHBaseSnapshotPolicyArguments` | `addTableRegExpsItem(String tableRegExpsItem)`
    `boolean` | `equals(Object o)`
    `Storage` | `getStorage()` Get storage
    `List<String>` | `getTableRegExps()` The regular expressions specifying the tables.
    `int` | `hashCode()`
    `void` | `setStorage(Storage storage)`
    `void` | `setTableRegExps(List<String> tableRegExps)`
    `ApiHBaseSnapshotPolicyArguments` | `storage(Storage storage)`
    `ApiHBaseSnapshotPolicyArguments` | `tableRegExps(List<String> tableRegExps)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHBaseSnapshotPolicyArguments

          public ApiHBaseSnapshotPolicyArguments()

  - ### Method Detail

    - #### tableRegExps

          public ApiHBaseSnapshotPolicyArguments tableRegExps(List<String> tableRegExps)

    - #### addTableRegExpsItem

          public ApiHBaseSnapshotPolicyArguments addTableRegExpsItem(String tableRegExpsItem)

    - #### getTableRegExps

          public List<String> getTableRegExps()

      The regular expressions specifying the tables. Tables matching any of them will be eligible for snapshot creation.
      Returns:
        tableRegExps

    - #### setTableRegExps

          public void setTableRegExps(List<String> tableRegExps)

    - #### storage

          public ApiHBaseSnapshotPolicyArguments storage(Storage storage)

    - #### getStorage

          public Storage getStorage()

      Get storage
      Returns:
        storage

    - #### setStorage

          public void setStorage(Storage storage)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.